/{organizationId}/{mandateId}/crm/messageTemplates/{messageTemplateId}/previewGet message template preview
Returns the preview contents of the messageTemplate document for a specific messageTemplate for a given mandate
Required permissions:
mandate.read
dispatchDocument.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired messageTemplateIdstringrequired Request Body required
Content-Type: application/json
typestringoptional Options:
emailletterAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/messageTemplates/{messageTemplateId}/preview' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"templateContents": {},
"templateAttachment": {},
"type": "email"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
documentstring | nullrequired widthnumberoptional minimum: 0
pagesnumberoptional minimum: 0
Response
{
"document": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}